org.apache.maven.scm.provider.cvslib.command.list

## Class CvsListConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.cvslib.command.list.CvsListConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class CvsListConsumer
    extends Object
    implements org.codehaus.plexus.util.cli.StreamConsumer

Parses CVS/Entries format, for example, like

     /checkoutlist/1.9/Wed Jan 26 19:08:06 2005/-kkv/
     /commitinfo/1.10/Tue Jan 11 01:25:34 2005/-kkv/
     /config/1.15/Sun Jan 23 02:15:57 2005/-kkv/
     D/directory1////
     D/directory2////

Author:
  Sergey Zakusov: implemented to fix "Unknown file status" problem

### Constructor Summary

Constructors
Constructor and Description
`CvsListConsumer(ScmLogger logger)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consumeLine(String line)`
`List<ScmFile>` `getEntries()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CvsListConsumer

    public CvsListConsumer(ScmLogger logger)

Parameters:
  `logger` - is a logger

### Method Detail

#### consumeLine

    public void consumeLine(String line)

Specified by:
  `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`

#### getEntries

    public List<ScmFile> getEntries()

Returns:
  Parse result